{"title":"Delete defaultDimensions from entities","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_defaultdimension_delete/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_defaultdimension_delete, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_defaultdimension_delete","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Deletes the default dimension of the item in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Delete defaultDimensions from entities","slug":"delete-defaultdimensions-from-entities","at":0,"chars":1566},{"level":2,"title":"HTTP request","slug":"http-request","at":105,"chars":553},{"level":2,"title":"Request headers","slug":"request-headers","at":658,"chars":233},{"level":2,"title":"Request body","slug":"request-body","at":891,"chars":61},{"level":2,"title":"Response","slug":"response","at":952,"chars":166},{"level":2,"title":"Example","slug":"example","at":1118,"chars":215},{"level":2,"title":"Related information","slug":"related-information","at":1333,"chars":233}],"text":"# Delete defaultDimensions from entities\nDeletes the default dimensions of the item in Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nDELETE businesscentralPrefix/companies({id})/defaultDimensions({id})\nDELETE businesscentralPrefix/companies({id})/items({id})/defaultDimensions({id})\nDELETE businesscentralPrefix/companies({id})/customers({id})/defaultDimensions({id})\nDELETE businesscentralPrefix/companies({id})/vendors({id})/defaultDimensions({id})\nDELETE businesscentralPrefix/companies({id})/employees({id})/defaultDimensions({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\nIf-Match|Required. When this request header is included and the eTag provided doesn't match the current tag on the specific entity, the entity won't be updated.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```204 No Content``` response code and it deletes the default dimensions for the entity and corresponding dimension.\n## Example\nRequest\nHere's an example of the request.\n```json\nDELETE https://{businesscentralPrefix}/api/v2.0/companies({companyId})/items({itemId})/defaultDimensions({itemId},{dimensionId})\n```\nResponse\nNo Content.\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_defaultdimension\ndynamics_defaultdimension_get\ndynamics_defaultdimension_create\ndynamics_defaultdimension_update"}